// EXAMPLE 1
// initialize GLUT window and draw a rectangle.

#include <gl/glut.h>
 
void init( void )
{
	// set background to white
	glClearColor(1.0, 1.0, 1.0, 0.0);

	glMatrixMode (GL_PROJECTION);
	gluOrtho2D(-100.0, 100.0, -100.0, 100.0);
	glMatrixMode (GL_MODELVIEW);
}
 
// Main drawing routine. Called repeatedly by GLUT's main loop
void display( void )
{
    //Clear the screen and set our initial view matrix
    glClear(GL_COLOR_BUFFER_BIT);
    glMatrixMode(GL_MODELVIEW);
    glLoadIdentity();
 
    //TODO: Perform drawing here
	glColor3f(0.0, 1.0, 0.0);
	glBegin(GL_POLYGON);
		glVertex2f(-50.0, -50.0);
		glVertex2f(50.0, -50.0);
		glVertex2f(50.0, 50.0);
		glVertex2f(-50.0, 50.0);
	glEnd();

    glutSwapBuffers();
}
 
// Entry point - GLUT setup and initialization
int main( int argc, char** argv )
{
 
   glutInit( &argc, argv );
   glutInitDisplayMode (GLUT_DOUBLE | GLUT_RGB);
   glutInitWindowSize (300, 300);
   glutInitWindowPosition (100, 100);
   glutCreateWindow( "Example 1" );
   glutDisplayFunc( display );
 
   init();
 
   glutMainLoop();
 
   return 0;
}